Asmc Macro Assembler Reference

# Asmc Error Messages

The error messages generated by Asmc components fall into three categories:

- [**Fatal errors (A1000-A1901):**](fatal.md)
These indicate a severe problem that prevents the utility from completing its normal process.

- [**Nonfatal errors (A2000-A3021):**](nonfatal.md)
The utility may complete its process. If it does, its result is not likely to be the one you want.

- [**Warnings (A4000-A8020):**](warnings.md)
These messages indicate conditions that may prevent you from getting the results you want.

All error messages take the following form:

_Utility_: _Filename_ &lt;_Line_&gt; : &lt;_Errortype_&gt; &lt;_Code_&gt;: &lt;_Messagetext_&gt;

- _Utility_: The program that sent the error message.
- _Filename_: The file that contains the error-generating condition.
- _Line_: The approximate line where the error condition exists.
- _Errortype_: Fatal Error, Error, or Warning.
- _Code_: The unique 5- or 6-digit error code.
- _Messagetext_: A short and general description of the error condition.

#### See Also

[Asmc Reference](../readme.md) | [Directives Reference](../directive/readme.md)
